Icons aren't updated properly on configuring

Bug #513212 reported by Igor Korobka on 2010-01-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cairo-Dock Core
Undecided
Unassigned

Bug Description

Cairo-Dock version: 2.1.3-0rc3
Compiled date: Jan 27 2010 01:33:18
Running with OpenGL: 1
OpenGL version: 1.4 Mesa 7.6
OpenGL vendor: Tungsten Graphics, Inc
OpenGL renderer: Mesa DRI Intel(R) Q35 GEM 20090712 2009Q2 RC3 x86/MMX/SSE2
Video Driver: xserver-xorg-video-intel2:2.9.0-1ubuntu2.1
I'm using GNOME with Compiz.

I'm facing following issue: when I try to configure icon theme with either simple or advanced settings dialog icons are not updated properly in dock. When I click Apply button first time only applets icons are updated. When I click Apply second time - application icons are updated.

Also there are problem on changing icon sizes: when I changing size to smaller everything fine, but when I changing icon size to larger something is wrong - icons is not displayed properly.

I've attached debug log.

Related branches

Revision history for this message
Igor Korobka (igokoro) wrote :
Revision history for this message
Igor Korobka (igokoro) wrote :

Here is video illustrating problem with not updated icons.

Revision history for this message
Igor Korobka (igokoro) wrote :

Here is video illustrating icon corruption on resizing.

Revision history for this message
Igor Korobka (igokoro) wrote :
Revision history for this message
Matthieu Baerts (matttbe) wrote :

Thanks for this report !

It need a refresh but I suppose Fab knows exactly where to place it in the source code :)

Revision history for this message
Fabounet (fabounet03) wrote :

should be fixed, but I'd appreciate if someone confirms it. :-)

Revision history for this message
Igor Korobka (igokoro) wrote :

Everything looks fine except one thing: show desktop applet doesn't react on the icon size changes.

Revision history for this message
Igor Korobka (igokoro) wrote :
Revision history for this message
Fabounet (fabounet03) wrote : Re: [Cairo-dock-team] [Bug 513212] Re: Icons aren't updated properly on configuring

Hi,
could you please try with the version 2.2 ?
a weekly package is available on our PPA

2010/7/6 Igor Korobka <email address hidden>

>
> ** Attachment added: "show_desktop_bug.png"
> http://launchpadlibrarian.net/51475777/show_desktop_bug.png
>
> --
> Icons aren't updated properly on configuring
> https://bugs.launchpad.net/bugs/513212
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to Cairo-Dock Core.
>
> Status in Cairo-Dock : Core: New
>
> Bug description:
> Cairo-Dock version: 2.1.3-0rc3
> Compiled date: Jan 27 2010 01:33:18
> Running with OpenGL: 1
> OpenGL version: 1.4 Mesa 7.6
> OpenGL vendor: Tungsten Graphics, Inc
> OpenGL renderer: Mesa DRI Intel(R) Q35 GEM 20090712 2009Q2 RC3 x86/MMX/SSE2
> Video Driver: xserver-xorg-video-intel2:2.9.0-1ubuntu2.1
> I'm using GNOME with Compiz.
>
> I'm facing following issue: when I try to configure icon theme with either
> simple or advanced settings dialog icons are not updated properly in dock.
> When I click Apply button first time only applets icons are updated. When I
> click Apply second time - application icons are updated.
>
> Also there are problem on changing icon sizes: when I changing size to
> smaller everything fine, but when I changing icon size to larger something
> is wrong - icons is not displayed properly.
>
> I've attached debug log.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> More help : https://help.launchpad.net/ListHelp
>

Revision history for this message
Igor Korobka (igokoro) wrote :

Oh, I forgot to mention that I'm an active user of the ppa with betas. Mentioned issue appears in the latest beta of the 2.2.

Revision history for this message
Fabounet (fabounet03) wrote :

ok good, thanks for the report, I can safely close this bug then :-)
about the show desktop applet, could you check that it doesn't have a fixed
size in its config panel ?
Setting its size to 0x0 will make it use the default size, otherwise it will
use the defined size.

2010/7/7 Igor Korobka <email address hidden>

> Oh, I forgot to mention that I'm an active user of the ppa with betas.
> Mentioned issue appears in the latest beta of the 2.2.
>
> --
> Icons aren't updated properly on configuring
> https://bugs.launchpad.net/bugs/513212
> You received this bug notification because you are a member of Cairo-
> Dock Team, which is subscribed to Cairo-Dock Core.
>
> Status in Cairo-Dock : Core: New
>
> Bug description:
> Cairo-Dock version: 2.1.3-0rc3
> Compiled date: Jan 27 2010 01:33:18
> Running with OpenGL: 1
> OpenGL version: 1.4 Mesa 7.6
> OpenGL vendor: Tungsten Graphics, Inc
> OpenGL renderer: Mesa DRI Intel(R) Q35 GEM 20090712 2009Q2 RC3 x86/MMX/SSE2
> Video Driver: xserver-xorg-video-intel2:2.9.0-1ubuntu2.1
> I'm using GNOME with Compiz.
>
> I'm facing following issue: when I try to configure icon theme with either
> simple or advanced settings dialog icons are not updated properly in dock.
> When I click Apply button first time only applets icons are updated. When I
> click Apply second time - application icons are updated.
>
> Also there are problem on changing icon sizes: when I changing size to
> smaller everything fine, but when I changing icon size to larger something
> is wrong - icons is not displayed properly.
>
> I've attached debug log.
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~cairo-dock-team<https://launchpad.net/%7Ecairo-dock-team>
> More help : https://help.launchpad.net/ListHelp
>

Revision history for this message
Igor Korobka (igokoro) wrote :

You're wright - show desktop applet had 50x50 size. After setting it to 0x0 all works just fine.

Fabounet (fabounet03) on 2010-08-23
Changed in cairo-dock-core:
status: New → Fix Committed
Changed in cairo-dock-core:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers